Install Error on rasp 4 [Easy Script method]

  • ok, so after doing a clean purge of OMV and a clean apt-update, i tried installing again, the issue points to ngnix possibly.


  • The only difference is i am using Raspbian Desktop

    Does it say in that guide to use the Desktop version, the desktop version of any OS will install a lot more packages than the Lite or a Debian net install, it's those packages that can potentially affect the way OMV performs.


    This has come up on the forum more than once, you've installed Raspbian Desktop, what functionality do you believe will benefit from using OMV. If you're more comfortable using a Desktop why not carry on using that, you can set up users, shares, smb, install docker and portainer to manage docker, this is something that has always intrigued me.


    I'm an MS person with some knowledge of Linux, I have a Pi that run DietPi for Pi-Hole, I have another Pi for LibreElec, I have my OMV server which in essence is nothing more than a file server with some bits running underneath. With Linux the less clutter the meaner and leaner it runs, that's even truer when you come to SBC's.


    Sorry rant over :)

    Raid is not a backup! Would you go skydiving without a parachute?

  • so, i spent some hours trying to troubleshoot smaba install on desktop like suggested. all the more reasons why i need a dedicated file share system. I have portainer running to manager and docker, i also have a native install of pihole, all that would require a fresh install if i switch to raspbian lite now. i was hoping to get it working. thanks to a youtuber who pointed me to Re: E: Sub-process /usr/bin/dpkg returned an error code (1), will give this one a shot and see if it helps.


    Worst case, will run OMV in a VM as bridge and be done with it for testing until i dedicate a separate hardware.

  • Ok, so im back to pick this up again. Loaded Pi4 with rasbian lite this time, stuck at install error. Nothing happens after "connecting to github..."


    And YES i followed the guide here: https://github.com/OpenMediaVa…ipt/blob/master/README.md


    Code
    curl -sSL https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/install | sudo bash


    Code
    pi@piserver:~ $ wget https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/install
    --2020-10-06 17:25:08-- https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/install
    Resolving github.com (github.com)... 192.30.255.113
    Connecting to github.com (github.com)|192.30.255.113|:443... connected.
  • Nothing happens after "connecting to github..."

    Something on your network is blocking github it seems.

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • It is filling /tmp. Never had this issue. Did you write the image, boot, and run the script with NO other steps in between?

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Here are the exact steps:


    1. Clean install raspbian lite on sdcard
    2. raspi-config
    3. sudo apt-get update
    4. clean script command

    I don't see an obvious reason why this should have any errors, this is so irritating that i haven't been able to make it run even once! So much so, that i am now looking at syncthing as option.

  • I don't see an obvious reason why this should have any errors, this is so irritating that i haven't been able to make it run even once! So much so, that i am now looking at syncthing as option

    You seem to have two steps in there that should be after the script. Why are you running raspi-config? And why apt-get update?

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

    • apt-update is recommended in many guides after clean install
    • raspi-config for changing
      • SSID and Passpharse for WLAN
      • change hostname
      • changing default pi password

    I seem to have narrowed down to this error which is basically blocking my any install. Looks like corrupt deb repository.


    https://pastebin.com/8zdj7VG6


    To fix this i am trying to follow: https://computingforgeeks.com/…ository-on-debian-ubuntu/


    But you can see where i am stuck. Not a pro in Linux CLI so i'm following the trail of errors for troubleshooting steps.

  • oK, looks like i was able to get past this error and ran the easy install script, now this is what it throws at me:


    Code
    The following NEW packages will be installed:
    gdisk libjs-extjs6 openmediavault php-yaml proftpd-basic proftpd-mod-vroot python3-cached-property python3-click python3-colorama python3-dateutil python3-dbus python3-dialog python3-distro python3-jinja2 python3-lxml
    python3-markupsafe python3-msgpack python3-natsort python3-psutil python3-pycryptodome python3-pyudev python3-systemd python3-zmq quota quotatool rrdcached rrdtool salt-common salt-minion samba-vfs-modules smartmontools socat
    watchdog xfsprogs xmlstarlet
    0 upgraded, 35 newly installed, 0 to remove and 22 not upgraded.
    Need to get 38.3 MB of archives.
    After this operation, 227 MB of additional disk space will be used.
    E: You don't have enough free space in /var/cache/apt/archives/.
    failed to install openmediavault package.

    Output for df -h


    Code
    pi@piserver:~ $ df -h
    Filesystem Size Used Avail Use% Mounted on
    /dev/root 1.5G 1.4G 0 100% /
    devtmpfs 3.8G 0 3.8G 0% /dev
    tmpfs 3.9G 0 3.9G 0% /dev/shm
    tmpfs 3.9G 18M 3.9G 1% /run
    tmpfs 5.0M 4.0K 5.0M 1% /run/lock
    tmpfs 3.9G 0 3.9G 0% /sys/fs/cgroup
    /dev/mmcblk0p1 253M 54M 199M 22% /boot
    tmpfs 788M 0 788M 0% /run/user/1000
  • apt-update is recommended in many guides after clean install

    The author of the script (me) says don't do that until after the script runs.

    raspi-config for changing

    Definitely don't run that unless you pass the -n flag to the script. There is no need change any of those before the script runs.

    You don't have enough free space in /var/cache/apt/archives/.

    You obviously either disabled the root partition expansion or changed the partition size. 1.5G is not enough to install OMV. If you don't want to write the image to the card, boot, and run the script, then the script is not for you.

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • OK, so progress -- after probably fifth clean install and rootfs expand with http://cagewebdev.com/raspberr…partition-of-the-sd-card/


    the setup is stuck back at github. i dont have firewall or filters in place that could block connection to git. I believe i am almost there, if i can get past his last git issue.



    EDIT: JACKPOT !!!! It went through FINALLY!! Thanks Mr. ryecoaaron a ton being here to listen me rant.

  • budman

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!